/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for PETRadionuclide
 */
public enum EnumCM_PETRadionuclide 
{
	//CID 4020 PETRadionuclide
	ELEVEN_CARBON("^11^Carbon"),
	THIRTEEN_NITROGEN("^13^Nitrogen"),
	FOURTEEN_OXYGEN("^14^Oxygen"),
	FIFTEEN_OXYGEN("^15^Oxygen"),
	EIGHTEEN_FLUORINE("^18^Fluorine"),
	TWENTY_TWO_SODIUM("^22^Sodium"),
	THIRTY_EIGHT_POTASSIUM("^38^Potassium"),
	FOURTY_THREE_SCANDIUM("^43^Scandium"),
	FOURTY_FOUR_SCANDIUM("^44^Scandium"),
	FOURTY_FIVE_TITANIUM("^45^Titanium"),
	FIFTY_ONE_MANGANESE("^51^Manganese"),
	FIFTY_TWO_IRON("^52^Iron"),
	FIFTY_TWO_MANGANESE("^52^Manganese"),
	SIXTY_COPPER("^60^Copper"),
	SIXTY_ONE_COPPER("^61^Copper"),
	SIXTY_TWO_COPPER("^62^Copper"),
	SIXTY_TWO_ZINC("^62^Zinc"),
	SIXTY_FOUR_COPPER("^64^Copper"),
	SIXTY_SIX_GALLIUM("^66^Gallium"),
	SIXTY_EIGHT_GALLIUM("^68^Gallium"),
	SIXTY_EIGHT_GERMANIUM("^68^Germanium"),
	SEVENTY_ARSENIC("^70^Arsenic"),
	SEVENTY_TWO_ARSENIC("^72^Arsenic"),
	SEVENTY_THREE_SELENIUM("^73^Selenium"),
	SEVENTY_FIVE_BROMINE("^75^Bromine"),
	SEVENTY_SIX_BROMINE("^76^Bromine"),
	SEVENTY_SEVEN_BROMINE("^77^Bromine"),
	EIGHTY_TWO_RUBIDIUM("^82^Rubidium"),
	EIGHTY_SIX_YTTRIUM("^86^Yttrium"),
	EIGHTY_NINE_ZIRCONIUM("^89^Zirconium"),
	NINETY_NIOBIUM("^90^Niobium"),
	NINETY_YTTRIUM("^90^Yttrium"),
	NINETY_FOURM_TECHNETIUM("^94m^Technetium"),
	ONE_HUNDRED_TWENTY_FOUR_IODINE("^124^Iodine"),
	ONE_HINDRED_FIFTY_TWO_TERBIUM("^152^Terbium");

	private String value;

	EnumCM_PETRadionuclide(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
